
package luxrender;

import integratedtoolkit.types.annotations.Constraints;
import integratedtoolkit.types.annotations.Method;
import integratedtoolkit.types.annotations.Parameter;
import integratedtoolkit.types.annotations.Parameter.Direction;
import integratedtoolkit.types.annotations.Parameter.Type;

public interface LuxRenderItf {
	
    @Method(declaringClass = "luxrender.LuxRenderImpl")
    @Constraints(processorCPUCount = 4, memoryPhysicalSize = 1.5f)
    void renderPartition(
    		@Parameter(type = Type.STRING, direction = Direction.IN)
    		String inputModelFullPathName,

            @Parameter(type = Type.FILE, direction = Direction.OUT)
            String partialOutputName,

            @Parameter(type = Type.STRING, direction = Direction.IN)
            String luxRenderBinary);
    
    @Method(declaringClass = "luxrender.LuxRenderImpl")
    @Constraints(processorCPUCount = 4, memoryPhysicalSize = 1.5f)
    void mergePartitions(
    		@Parameter(type = Type.STRING, direction = Direction.IN)
    		String luxRenderBinary,

            @Parameter(type = Type.FILE, direction = Direction.IN)
            String a,
            
            @Parameter(type = Type.FILE, direction = Direction.IN)
            String b,

            @Parameter(type = Type.FILE, direction = Direction.OUT)
            String mergedFile);
}